Bug 599871

Summary: FTBFS xoo-0.7-11.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: xooAssignee: Paul Wouters <pwouters>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 14CC: pwouters
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: xoo-0.7-12.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-09 20:10:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 596849    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-06-03 16:43:27 EDT
xoo-0.7-11.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-06-03 16:43:29 EDT
Created attachment 420172 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-06-03 16:43:31 EDT
Created attachment 420173 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-06-03 16:43:32 EDT
Created attachment 420174 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-06-03 16:43:33 EDT
Created attachment 420175 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-06-03 16:43:34 EDT
Created attachment 420176 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-06-03 16:43:36 EDT
Created attachment 420177 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-07-30 07:55:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Update System 2010-10-23 17:58:03 EDT
xoo-0.7-12.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/xoo-0.7-12.fc12
Comment 9 Fedora Update System 2010-10-23 18:00:57 EDT
xoo-0.7-12.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xoo-0.7-12.fc13
Comment 10 Fedora Update System 2010-10-23 18:07:38 EDT
xoo-0.7-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xoo-0.7-12.fc14
Comment 11 Fedora Update System 2010-10-27 18:33:46 EDT
xoo-0.7-12.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xoo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xoo-0.7-12.fc12
Comment 12 Fedora Update System 2010-11-09 20:09:56 EST
xoo-0.7-12.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-11-09 20:16:59 EST
xoo-0.7-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-11-09 20:18:23 EST
xoo-0.7-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.